local random = math.random
local sqrt = math.sqrt
local log = math.log
module(...)

function int(a,b)
	return random(a,b)
end

function uniform(a,b)
	local a, b = a or -1, b or 1
	return random() * (b - a) + a
end

function gauss(sigma)
	local sigma, x,y,r2 = sigma or 1
	repeat
		x,y = uniform(-1,1), uniform(-1,1)
		r2 = x*x + y*y
	until r2 <= 1 and r2 > 0
	return sigma * y * sqrt(-2 * log(r2) / r2), sigma * y * sqrt(-2 * log(r2) / r2)
end

